from typing import Callable


def solve(n: int, query: Callable[[str], str]) -> None:

    # Lai iegūtu punktu skaitu dotajai permutācijai, izmantojiet:
    score = int(query("? " + "PERMUTĀCIJA ŠEIT"))

    # Atbildi izvadiet ar:
    query("! " + "ATBILDE ŠEIT")

    # Atcerieties saglabāt atstarpes starp skaitļiem.


# Lūdzu, saglabājiet PRECĪZI šo funkcijas signatūru (nosaukumu, ievadi un izvadi).
# Izmantojiet TIKAI "query" funkciju ievadei/izvadei.
# Varat pievienot palīgfunkcijas, ja nepieciešams.
# Saglabājiet visu šajā failā.
